import React from 'react';
import { ComboboxProps as EvergreenComboboxProps, FormFieldProps } from 'evergreen-ui';
import { AnyObject, UseFieldApiProps } from '@data-driven-forms/react-form-renderer';
export interface ComboBoxItem extends AnyObject {
    value?: any;
    label: string;
}
export interface ComboBoxProps extends UseFieldApiProps<string>, Omit<EvergreenComboboxProps, 'selectedItem' | 'onChange' | 'disabled' | 'items' | 'itemToString'>, Pick<FormFieldProps, 'label' | 'description'> {
    name: string;
    isRequired?: boolean;
    options: ComboBoxItem[];
}
declare const ComboBox: React.FC<ComboBoxProps>;
export default ComboBox;
